--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/customers ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/customers": { "post": { "tags": [ "Customer" ], "operationId": "createPublicCustomerCustomer", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateCustomerDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/CreateCustomerDto" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/CreateCustomerDto" } } } }, "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/CreateCustomerResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/CreateCustomerResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/CreateCustomerResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "CreateCustomerDto": { "required": [ "mobileNumber", "name" ], "type": "object", "properties": { "name": { "minLength": 1, "type": "string" }, "mobileNumber": { "minLength": 1, "type": "string" }, "email": { "type": "string", "format": "email" }, "address": { "type": "string", "nullable": true }, "type": { "$ref": "#/components/schemas/CustomerType" }, "vatNumber": { "type": "string", "nullable": true }, "branchId": { "type": "string", "format": "uuid", "nullable": true }, "companyName": { "type": "string" }, "customFields": { "type": "object", "additionalProperties": { "type": "string" }, "nullable": true }, "birthDate": { "type": "string", "format": "date", "nullable": true } }, "additionalProperties": false }, "CreateCustomerResponse": { "type": "object", "properties": { "customerId": { "type": "string", "format": "uuid" } }, "additionalProperties": false }, "CustomerType": { "enum": [ 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Individuals", "Corporates" ] } } } } ```